#include <ros/ros.h>
#include <iostream>
#include "gloghelper.h"
#include "time.h"
#include <vector>
#include "string_tokenizer.h"


void EchoFunc(std::string&& s){
    std::string delim(",");
    std::vector<std::string> v_result = robot::common::StringTokenizer::Split(s, delim);
    LOG(INFO) << "test : " << s << "\n";
}

int main(int argc, char **argv)
{
  ros::init(argc, argv, "commonmain");
  ros::NodeHandle nh;
  robot::common::GLogHelper glog(argv[0], "commonmain");
  //ROS_INFO("Hello world!");
  robot::common::Duration duration = std::chrono::milliseconds(12);
  int64_t durt = robot::common::AsInt64<robot::common::micros>(duration);
  LOG(INFO)<<"this google info ."<<durt;
  LOG(WARNING)<<"this google warning."<<robot::common::getCurrentSystemTime() ;
  LOG(ERROR)<<"this google error .";

  std::string str("aa,bbb,c");
  std::string delim(",");
  std::vector<std::string> v_result = robot::common::StringTokenizer::Split(str, delim);
  std::vector<std::string>::iterator iter_start = v_result.begin();
  std::vector<std::string>::iterator iter_end = v_result.end();
  std::vector<std::string>::iterator iter;
  for ( iter = iter_start; iter != iter_end; iter++)
  {
    LOG(INFO)<<*iter;
  }
  //LOG(FATAL)<<"this google fatal.";
}
